## Информация о приложении

Приложение используется для сбора статистики ping до задананных источников.
Источники могут быть заданы в виде ip или имени хоста.
Так же можно задать интервал времени, с которым будут посылаться проверочные сигналы.
Есть возможность приостановить и возобновить отправку сигналов.

Записи старше заданного значения из талицы статистики в базе днных удаляются (по умолчанию это значение равно 30 дням).
Чтобы поменять это значение надо в файле конфигурации config.py поменять значение DB_AUTOCLEAN_INTERVAL и перезапустить 
приложение. 

## Запуск

1. Для успешного старта приложения надо иметь запущенный постгрес с созданной в нем базой данных по имени statistic
2. Установить зависимости из файла requirements.txt
3. Далее надо выполнить следующую последовательность команд:
    1. flask db init
    2. flask db migrate
    3. flask db upgrade

4. flask run

## API

| Путь      | Описание |
| ----------- | ----------- |
| GET /api/v1/statistic?start_date=      | Получение статистики за все время, start_date дата, начиная с которой нужно получить статистику       |
| GET /api/v1/time   | Получение текущего интервала        |
| POST /api/v1/camera   | Добавление новых источников в json (пример, {"ips" : ["vk.com"]})        |
| POST /api/v1/time?time=   | Задание нового интервала времени в секундах (по умалчанию 3600)        |
| DELETE /api/v1/camera   | Удаление источников (пример, {"ips" : ["vk.com"]})        |
| POST /api/v1/scheduler/stop   | Приостановление сбора статистики        |
| POST /api/v1/scheduler/start   | Возобновление сбора статистики        |